/*
 ============================================================================
 * main.c (150.ARM_Boards)
 *
 *  James Ward, Techsol Engineering. September 2016.
 ============================================================================
 */
#include <stdio.h>
#include "system.h"
#include "derivative.h"
#include "utilities.h"
#include "leds.h"
#include "console.h"
#include "delay.h"


#include fsl_i2c_master_driver.h //Won't work






int testdelay;

volatile int secsSinceLaunch;


typedef struct rtc_t rtc_t;

struct rtc_t{
    int tenthseconds;
	int seconds;
	int minutes;
    int hours;
	int days;
	int months;
	int years;
};

volatile rtc_t dt;



// Calendar utils

int isLeapYear(int year){
	if(year % 4 != 0){
	return 0;
	}

	if(year % 400 == 0){
		return 1;
	}

	if(year % 100 == 0){
	   return 0;
	}

	return 1;
	}


int isEndOfMonth(int day, int month, int year){
	switch(month){
	case 1:
		return day > 31;
	case 2:
		return isLeapYear(year) ? (day > 29) : (day > 28);
	case 3:
		return day > 31;
	case 4:
		return day > 30;
	case 5:
		return day > 31;
	case 6:
		return day > 30;
	case 7:
	case 8:
		return day > 31;
	case 9:
		return day > 30;
	case 10:
		return day > 31;
	case 11:
		return day > 30;
	case 12:
		return day > 31;
	default:
		printf("RTC Day increment error: Invalid Month Number when checking for max days!");
		return day > 31;
	}
}



//Rtc Procedures

void rtcInit(int hour, int minute, int second){
	rtc_t temp = { .tenthseconds = 0, .seconds = second, .minutes = minute, .hours = hour, .days = 31, .months = 12, .years = 2015};
    dt = temp;
    secsSinceLaunch = 0;
 }

rtc_t rtcRead(){
	return dt;
}

int getUptimeSecs(){
	return secsSinceLaunch;
}

void rtcUpdate(){
//Call every tenth of a second


	if(dt.tenthseconds >= 10){
		dt.seconds++;
		secsSinceLaunch++;
		dt.tenthseconds = 0;

	}

	if(dt.seconds >= 60){
	dt.minutes++;
		dt.seconds = 0;
	}

	if(dt.minutes >= 60){
		dt.hours++;
		dt.minutes = 0;
	}

	if(dt.hours >= 24){
		dt.days++;
		dt.hours = 0;
	}

	if(dt.days >= 29){
		if(isEndOfMonth(dt.days, dt.months, dt.years)){
			dt.months++;
	    	dt.days = 1;
		}
	}

	if(dt.months >= 13){
		dt.years++;
		dt.months = 1;
	}

	dt.tenthseconds++;
}








void millisecondRoutine(){



}

void hundrethSecondRoutine(){

}

void tenthSecondRoutine(){
	rtcUpdate();

}

void secondRoutine(){
	redLedToggle(); //Red LED is the one on the Digital board



    printf("Uptime: %d \n", getUptimeSecs());
    testdelay++;

    if(testdelay % 5 == 0){
    printf("H M S...  %d:%d:%d on %d/%d/%d", dt.hours, dt.minutes, dt.seconds, dt.months, dt.days, dt.years);
    }


}
/* Example use of interrupt handler
 *
 * The standard ARM libraries provide basic support for the system timer
 * This function is used for the System Timer interrupt handler.
 *
 */
//void SysTick_Handler(void) {
//   __asm__("nop");
//}

int main(void) {
	//uint8_t receiveBuff = 0;
   volatile int count = 0;
   volatile int rtcCount = 0;
   volatile int secCount = 0;
   testdelay = 0;

   // 1 ms tick
   //SysTick_Config(SystemBusClock/1000);


   enableTimer(); //Enable the system timer in delay.h
   led_initialise();
   rtcInit(23, 59, 1);

   printf("Protec KL02 Test Program, USBDM Version!\n");
   printf("SystemBusClock  = %ld\n", SystemBusClock);
   printf("SystemCoreClock = %ld\n", SystemCoreClock);

   int spin = 0;
   for(;;) {
	   //Main Loop
     // waitMS(1); //Busywait for one millisecond. Possibly not used on digital board without crystal so we will ignore this for now.


	   spin = 4350; //roughly correct for 1/100 secs
	   while(spin){
		spin--;
	   }


      count++;
      //millisecondRoutine();
          if(count >= 10){
            	hundrethSecondRoutine();
            	 rtcCount++;
            	 count = 0;
          }
          if(rtcCount >= 10){

                 tenthSecondRoutine();
                 rtcCount = 0;
                 secCount++;
          }
      	  if(secCount >= 10){
    	  	  	 secondRoutine();
    	  	  	 secCount = 0;

      	  }

       //  receiveBuff = console_rxChar();  //Debug line code for checking if its alive
       // uint8_t temp = receiveBuff;
       // console_txChar(temp);
   	   }
   return 0;
}
